PING6(1)

NAME
ping6 - send ICMP ECHO_REQUEST packets to network hosts

SYNOPSIS
ping6 [option...] host...

DESCRIPTION
Send ICMP ECHO_REQUEST packets to network hosts.

OPTIONS

-c, --count=number
    Stop after sending number packets.

-i, --interval=number
    Wait number seconds between sending each packet.

-w, --timeout=n
    Stop after n seconds.

-n, --numeric
    Do not resolve host addresses.

--hoplimit=n
--ttl=n
    Specify n as hop-limit.

-r, --ignore-routing
    Send directly to a host on an attached network.

-T, --tos=n
    Set traffic class to n.

-v, --verbose
    Verbose output.

-q, --quiet
    Quiet output.

-d, --debug
    Set the SO_DEBUG option.

-?, --help
    Give this help list.

--usage
    give a short usage message.

-V, --version
    Print program version.

  Options valid for --echo requests:

-f, --flood
    Flood ping (root only).

-l, --preload=number
    Send number packets as fast as possible before falling into normal mode of behavior (root only).

-p, --pattern=pattern
    Fill ICMP packet with the given pattern (hex).

-s, --size=number
    Send number data octets.

Options marked with (root only) are available only to superuser.